Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Require all core and Plack modules, just to be safe.

Also added Software::License, which was already required to build, again, just to be safe.
  • Loading branch information...
commit faa3b8d8de55f901d3722e7e2b22d6afbdbc845a 1 parent 1dedc51
David E. Wheeler theory authored
Showing with 10 additions and 2 deletions.
  1. +6 −0 Build.PL
  2. +4 −2 Changes
6 Build.PL
View
@@ -41,7 +41,9 @@ my $build = $class->new(
script_files => 'bin',
configure_requires => { 'Module::Build' => '0.30', },
build_requires => {
+ 'HTTP::Message::PSGI' => 0,
'Module::Build' => '0.30',
+ 'Plack::Test' => 0,
'Software::License' => '0.102340',
'Test::File::Contents' => '0.20',
'Test::More' => '0.70',
@@ -49,12 +51,14 @@ my $build = $class->new(
'Text::MultiMarkdown' => '1.000033',
},
requires => {
+ 'Carp' => 0,
'Data::Dump' => '1.17',
'Encode' => '2.40',
'Gravatar::URL' => '1.02',
'Email::MIME' => '1.901',
'Email::Sender::Simple' => '0.093110',
'File::Basename' => 0,
+ 'File::Spec' => 0,
'HTML::TagCloud' => '0.34',
'I18N::LangTags::Detect' => '1.03',
'Locale::Maketext' => '1.16',
@@ -62,11 +66,13 @@ my $build = $class->new(
'namespace::autoclean' => '0.11',
'perl' => 5.010,
'Plack' => '0.9956',
+ 'Plack::App::File' => 0,
'Plack::Builder' => 0,
'Plack::Request' => '0.9956',
'Plack::Response' => '0.9956',
'Router::Resource' => '0.11',
'SemVer' => '0.2.0',
+ 'Software::License' => '0.102340',
'Template::Declare' => '0.43',
'Template::Declare::Tags' => '0.43',
'WWW::PGXN' => '0.12.0',
6 Changes
View
@@ -7,8 +7,10 @@ Revision history for Perl extension PGXN::Site
same order as on the distribution page. Per gripe from Marti Raudsepp.
- Now showing an error page when the `in` parameter to `/search` is
missing, rather than throwing an exception and returning 500.
- - Added Email::MIME and Email::Sender::Simple to the list of
- requirements. The were inadvertently omitted.
+ - Added Email::MIME, Email::Sender::Simple, and Software::License to the
+ list of requirements. The were inadvertently omitted.
+ - Added all core and Plack modules to the list of requirements, just to
+ be safe.
0.7.4 2011-05-18T17:54:32
- The router tests are now skipped if PGXN::API::Searcher is not
Please sign in to comment.
Something went wrong with that request. Please try again.